Bug 738763 - need to add IP_MULTICAST_ALL option to glibc headers
Summary: need to add IP_MULTICAST_ALL option to glibc headers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: glibc
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Andreas Schwab
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-09-15 18:16 UTC by Neil Horman
Modified: 2016-11-24 15:40 UTC (History)
2 users (show)

Fixed In Version: glibc-2.12-1.43.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 17:48:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1526 normal SHIPPED_LIVE Low: glibc security, bug fix, and enhancement update 2011-12-06 01:02:21 UTC

Description Neil Horman 2011-09-15 18:16:02 UTC
Description of problem:
The linux kernel support a OS specific socket option IP_MULTICAST_ALL which is defined in the kernel, but not in glibc.  It should be so users can take advantage of the option


Additional info:
tracked upstream here:
http://sourceware.org/bugzilla/show_bug.cgi?id=13192

Comment 2 Andreas Schwab 2011-09-16 08:45:44 UTC
It is trivial to define it yourself.

Comment 6 errata-xmlrpc 2011-12-06 17:48:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1526.html


Note You need to log in before you can comment on or make changes to this bug.